version: "3.3"

services:
  nginx:
    image: nginx:latest
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ./nginx/hosts:/etc/nginx/conf.d
      - ./nginx/certs:/etc/ssl/certs
      - ../www:/var/www/html
    links:
      - php

  php:
    build: ./php/images
    user: "${UID}:${GID}"
    volumes:
      - ../www:/var/www/html
      - ./php/conf/custom.ini:/usr/local/etc/php/conf.d/custom.ini

  db:
    image: mariadb
    restart: always
    user: "${UID}:${GID}"
    ports:
      - 3307:3306
    environment:
      MARIADB_USER: root
      MARIADB_ROOT_PASSWORD: db
      MARIADB_DATABASE: db
    volumes:
      - ./db/database:/var/lib/mysql

  composer:
    image: composer:latest
    volumes:
      - ../www:/app
